---
wsId: Xapa
title: Xapa Wallet - BTC, ETH, DOGE, LTC, DASH, ERC20
altTitle: 
authors:
- kiwilamb
users: 10000
appId: com.cwallet
appCountry: 
released: 2019-06-28
updated: 2021-07-24
version: 0.741.11
stars: 3.4
ratings: 120
reviews: 6
size: 
website: https://xapawallet.com
repository: 
issue: 
icon: com.cwallet.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-06-04
signer: 
reviewArchive: 
twitter: WalletXapa
social:
- https://www.facebook.com/walletxapa
redirect_from: 

---

This app is an exchange based wallet and as such typically private keys are custodial, we can verify this from the [providers own site](https://xapawallet.com/#1603507874611-a20bac97-a1d1) , as they make a clear statement of how the private keys are managed.

> Where are my private keys?
> As XapaWallet is custodial, so your private key stores in Xapa Server with complex security.

Our Verdict: This "wallet" is custodial and therefor **not verifiable**

